<?php
/**
 * @category   Newsroom
 * @package    Newsroom_Presskit
 * @author     dushyantjoshia@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Alogic\Downloadcatalogue\Controller\Index;

use Magento\Framework\App\Action\Context;
use Magento\Framework\App\Filesystem\DirectoryList;

class Download extends \Magento\Framework\App\Action\Action {
	protected $_presskitview;
	public $filesystem;

	public $file;

	private $directory;

	public $driver;

	public $fileFactory;
	public function __construct(
		Context $context,
		\Magento\Framework\Filesystem $filesystem,
		\Magento\Framework\Filesystem\Io\File $file,
		\Magento\Framework\Filesystem\Driver\File $driver,
		\Magento\Framework\App\Response\Http\FileFactory $fileFactory

	) {

		$this->filesystem = $filesystem;
		$this->file = $file;
		$this->driver = $driver;
		$this->fileFactory = $fileFactory;
		parent::__construct($context);
	}

	public function execute() {

		$filePath = $this->filesystem->getDirectoryRead(DirectoryList::MEDIA)->getAbsolutePath() . 'ALOGIC_Product_Catalog_202204_Digital.pdf';

		$downloadName = 'ALOGIC_Product_Catalog_202204_Digital.pdf';
		$content['type'] = 'filename';
		$content['value'] = $filePath;
		$content['rm'] = 0; // If you will set here 1 then, it will remove file from location.
		return $this->fileFactory->create($downloadName, $content, DirectoryList::PUB);
	}
	public function exportPresskit() {

	}

}
